/**
 * Copyright 2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 */
package com.sunlabs.archsim.fleet.ships.arithmetic;

import com.sunlabs.archsim.base.simulation.Delay;

/**
 * @author ib27688
 *
 */
public class ArithmeticShipDefaults {

	private ArithmeticShipDefaults() {	}

	public static final String ACK_DELAY= "ackDelay";
	public static final String COMPUTE_DELAY= "computeDelay";

	public static final String ACK_TOKEN_DELAY= "ackTokenDelay";
	public static final String TOKEN_DELAY= "tokenDelay";
	
	public static final String ARITHMETIC_ACK_DELAY= "arithmeticShipAckDelay";
	public static final String ARITHMETIC_COMPUTE_DELAY= "arithmeticShipComputeDelay";
	
	public static final String TOKEN_ARITHMETIC_ACK_DELAY= "arithmeticTokenShipAckDelay";
	public static final String TOKEN_ARITHMETIC_COMPUTE_DELAY= "arithmeticTokenShipComputeDelay";
	public static final String TOKEN_ARITHMETIC_TOKEN_DELAY= "arithmeticTokenShipTokenDelay";
	public static final String TOKEN_ARITHMETIC_ACK_TOKEN_DELAY= "arithmeticTokenShipAckTokenDelay";

	public static final Delay ACK_DELAY_DEF= new Delay(0);
	public static final Delay COMPUTE_DELAY_DEF= new Delay(20);
	public static final Delay TOKEN_DELAY_DEF= new Delay(20);
	public static final Delay ACK_TOKEN_DELAY_DEF= new Delay(0);	
	
} // ArithmeticShipDefaults
